Bug 1469838 - [RFE] Support in-service restart
[RFE] Support in-service restart
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Timothy Redaelli
ovs-qe@redhat.com
: FutureFeature
Depends On:
Blocks: 1472866 1477926
  Show dependency treegraph
 
Reported: 2017-07-11 20:01 EDT by Flavio Leitner
Modified: 2017-08-04 16:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flavio Leitner 2017-07-11 20:01:14 EDT
Description of problem:

This bugzilla is a request to support restarting openvswitch (with or without DPDK) with minimal disruption in the networking.

Version-Release number of selected component (if applicable):
2.7.1

How reproducible:
Always

Steps to Reproduce:
1. systemctl restart openvswitch

Actual results:
Traffic stops for long period of time and flows are lost

Expected results:
Flows are restored and the networking traffic is minimally impacted.
Comment 3 Timothy Redaelli 2017-08-03 10:31:12 EDT
RFC patch sent upstream: https://mail.openvswitch.org/pipermail/ovs-dev/2017-July/336440.html

Note You need to log in before you can comment on or make changes to this bug.